> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optexity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task status

> Returns the current status and lifecycle timestamps for a task.



## OpenAPI

````yaml https://api.optexity.com/openapi.json get /api/v1/task_status
openapi: 3.1.0
info:
  title: Dashboard Backend API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/task_status:
    get:
      tags:
        - task_details
      summary: Get task status
      description: Returns the current status and lifecycle timestamps for a task.
      operationId: task_status_api_v1_task_status_get
      parameters:
        - name: task_id
          in: query
          required: true
          schema:
            type: string
            title: Task Id
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaskStatusResponse:
      properties:
        success:
          type: boolean
          title: Success
        task:
          $ref: '#/components/schemas/TaskStatusData'
      type: object
      required:
        - success
        - task
      title: TaskStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskStatusData:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          type: string
          title: Status
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        allocated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Allocated At
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - task_id
        - status
      title: TaskStatusData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````